pydo.registries.list_garbage_collections()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.registries.list_garbage_collections(
registry_name="example",
per_page=20,
page=1,
)Description
To get information about past garbage collections for a registry, send a GET request to /v2/registry/{registry_name}/garbage-collections.
Parameters
registry_namestring requiredThe name of a container registry.
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.registries.list_garbage_collections(registry_name="example", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.registries.list_garbage_collections(registry_name="example", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/registries/{registry_name}/garbage-collections in the API reference for additional detail on responses, headers, parameters, and more.